Package org.jboss.resteasy.core.interception.jaxrs

## Class JaxrsInterceptorRegistryImpl.OnDemandInterceptorFactory

- java.lang.Object
- - org.jboss.resteasy.core.interception.jaxrs.JaxrsInterceptorRegistryImpl.AbstractInterceptorFactory
  - - org.jboss.resteasy.core.interception.jaxrs.JaxrsInterceptorRegistryImpl.OnDemandInterceptorFactory

- All Implemented Interfaces:
    `JaxrsInterceptorRegistry.InterceptorFactory`
  Enclosing class:
    JaxrsInterceptorRegistryImpl<T>

      protected class JaxrsInterceptorRegistryImpl.OnDemandInterceptorFactory
      extends JaxrsInterceptorRegistryImpl.AbstractInterceptorFactory

- - ### Field Summary

    - ### Fields inherited from class org.jboss.resteasy.core.interception.jaxrs.JaxrsInterceptorRegistryImpl.AbstractInterceptorFactory

      `declaring, ignorePrematch, initialized, nameBound, order`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OnDemandInterceptorFactory​(Class declaring)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `checkInitialize()` |
    `protected Object` | `getInterceptor()` |
    `protected void` | `initialize()` |

    - ### Methods inherited from class org.jboss.resteasy.core.interception.jaxrs.JaxrsInterceptorRegistryImpl.AbstractInterceptorFactory

      `createInterceptor, postMatch, preMatch, setIgnorePrematch, setOrder, setPrecedence`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OnDemandInterceptorFactory

          public OnDemandInterceptorFactory​(Class declaring)

  - ### Method Detail

    - #### initialize

          protected void initialize()

      Specified by:
        `initialize` in class `JaxrsInterceptorRegistryImpl.AbstractInterceptorFactory`

    - #### checkInitialize

          protected void checkInitialize()

      Overrides:
        `checkInitialize` in class `JaxrsInterceptorRegistryImpl.AbstractInterceptorFactory`

    - #### getInterceptor

          protected Object getInterceptor()

      Specified by:
        `getInterceptor` in class `JaxrsInterceptorRegistryImpl.AbstractInterceptorFactory`